If sEventName = "MxDrawXCustomEntity::explode" Then
Dim param66 As MxDrawResbuf
Set param66 = MxDrawX1.CustomEventParam()
Dim lBlockRecId As Long
lBlockRecId = param66.AtLong(1)
Dim customEntity As MxDrawCustomEntity
Set customEntity = MxDrawX1.CallEx( "Mx_GetCustomEntity" , param66)
If customEntity.IsHave( "startpoint" ) Then
Else
Exit Sub
End If
If customEntity.IsHave( "endpoint" ) Then
Else
Exit Sub
End If
Set database = MxDrawX1.GetDatabase
Dim blkRec As MxDrawBlockTableRecord
Set blkRec = database.ObjectIdToObject(lBlockRecId)
Dim sPt As MxDrawPoint
Dim ePt As MxDrawPoint
Set sPt = customEntity.GetPoint( "startpoint" )
Set ePt = customEntity.GetPoint( "endpoint" )
blkRec.AddLine sPt, ePt
End If
|